const { program } = require('commander')

/*
 * @Author: Zhang zhixing
 * @Date: 2022-08-01 21:46:32
 * @LastEditors: Zhang zhixing
 * @LastEditTime: 2022-08-01 21:52:00
 * @FilePath: /zzx-cli/lib/core/help.js
 * @Description:
 *
 * Copyright (c) 2022 by Zhang zhixing, All Rights Reserved.
 */
const helpOptions = () => {
  // 增加自己的option
  program.option('-w --why', 'a why cli')
  program.option(
    '-d --dest <dest>',
    'a destination folder, 例如 -d /src/components'
  )
  program.option('-f --framework <framework>', 'your framework')

  // 监听
  program.on('--help', function () {
    console.log('')
    console.log('other:')
    console.log('other options~')
  })
}
module.exports = helpOptions
