/*
 * @Author: Zhang zhixing
 * @Date: 2022-08-02 10:59:15
 * @LastEditors: Zhang zhixing
 * @LastEditTime: 2022-08-02 11:01:21
 * @FilePath: /zzx-cli/lib/utils/log.js
 * @Description:log fn
 *
 * Copyright (c) 2022 by Zhang zhixing, All Rights Reserved.
 */
const chalk = require('chalk')
const hint = (...info) => {
  console.log(chalk.green(info))
}

const error = (...info) => {
  console.log(chalk.red(info))
}

const clear = () => {
  console.clear()
}

module.exports = {
  hint,
  error,
  clear
}
