#! /usr/bin/env node

// #! 告诉电脑环境 路径 node指令 执行 文件
// package.json 设置bin 执行哪个文件
// npm link package bin 与电脑中bin中可执行文件链接起来
const program = require('commander')

const helpOptions = require('./lib/core/help')
const createCommands = require('./lib/core/create')

// 查看版本号
program.version(require('./package.json').version, '-v, --version')

// option
helpOptions()
createCommands()
program.parse(process.argv)
console.log(program.dest)
