/*
 * @Author: Zhang zhixing
 * @Date: 2022-08-02 10:35:21
 * @LastEditors: Zhang zhixing
 * @LastEditTime: 2022-08-02 10:41:52
 * @FilePath: /zzx-cli/lib/utils/terminal.js
 * @Description:
 *
 * Copyright (c) 2022 by Zhang zhixing, All Rights Reserved.
 */
const { spawn } = require('child_process')

const commandSpawn = (...args) => {
  return new Promise((resolve, reject) => {
    const childProcess = spawn(...args)
    // 输出流挂载到childProcess 上面
    childProcess.stdout = process.stdout
    childProcess.stderr = process.stderr
    // 监听传输完成
    childProcess.on('close', () => {
      resolve()
    })
  })
}
module.exports = {
  commandSpawn
}
